#!/usr/bin/env python

from matplotlib import pyplot as plt
import numpy as np
import sys

a, b, f = np.loadtxt(sys.stdin, unpack=True)

plt.figure()
# plt.figure(figsize=(5, 3))
# plt.rcParams['font.size'] = 8

plt.title(sys.argv[1] if len(sys.argv) > 1 else "", loc='right')
plt.xlabel(r'$\theta$ (radians)')
plt.ylabel(r'$I(\theta)$ (a.u.)')
plt.hist(a, np.insert(b, 0, a[0]), weights=100*f/sum(f),
         histtype='stepfilled', color='#e3c5ca', edgecolor='#92182b')

plt.tight_layout()
plt.show()
# name = sys.argv[2] if len(sys.argv) > 1 else "prova"
# plt.savefig('notes/images/' + name + '.pdf')
